Bug 624417 - bkr task-details <task> does not contain owner information
Summary: bkr task-details <task> does not contain owner information
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: command line   
(Show other bugs)
Version: 0.5
Hardware: All
OS: Linux
high
high vote
Target Milestone: 0.7.01
Assignee: Dan Callaghan
QA Contact:
URL:
Whiteboard:
Keywords: Reopened
Depends On: 617274
Blocks: 629669
TreeView+ depends on / blocked
 
Reported: 2010-08-16 11:58 UTC by Ales Zelinka
Modified: 2011-09-08 02:43 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-08 02:43:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ales Zelinka 2010-08-16 11:58:16 UTC
Description of problem:
There is an "Owner" field in task's Makefile and in testinfo.desc but "bkr task-details <task>" doesn't include it.

Please add the owner field (and possibly other fields from makefile missing in task-details).

Version-Release number of selected component (if applicable):
beaker-client-0.5.52-3.el6.noarch

Comment 1 Petr Šplíchal 2010-09-03 07:03:15 UTC
The priority field would be nice as well (needed by tcms-submit).

Comment 2 Petr Šplíchal 2011-07-25 14:47:35 UTC
Any update here?

Comment 3 Dan Callaghan 2011-08-02 03:13:39 UTC
Clearing needinfo as I have a working patch for this (pushed to Gerrit for review). However I'm not yet sure which version of Beaker we can release this with.

Comment 6 Dan Callaghan 2011-09-05 06:34:36 UTC
Will fix handling of older tasks which lack the Owner field.

Comment 7 Dan Callaghan 2011-09-05 06:49:59 UTC
Actually the bug is with tasks which lack the Uploader field, which will be every task uploaded before 0.7.1.

Comment 9 Dan Callaghan 2011-09-08 02:43:28 UTC
Beaker 0.7.1 has been released.


Note You need to log in before you can comment on or make changes to this bug.